import { CancellationToken } from "@codingame/monaco-vscode-api/vscode/vs/base/common/cancellation";
import { Event } from "@codingame/monaco-vscode-api/vscode/vs/base/common/event";
import { Disposable, IDisposable } from "@codingame/monaco-vscode-api/vscode/vs/base/common/lifecycle";
import { IViewBadge } from "@codingame/monaco-vscode-api/vscode/vs/workbench/common/views";
import { IOverlayWebview } from "@codingame/monaco-vscode-972e8507-3a64-566d-8bc0-b78993998562-common/vscode/vs/workbench/contrib/webview/browser/webview";
import { IWebviewViewService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/webviewView/browser/webviewViewService.service";
export interface WebviewView {
    title?: string;
    description?: string;
    badge?: IViewBadge;
    readonly webview: IOverlayWebview;
    readonly onDidChangeVisibility: Event<boolean>;
    readonly onDispose: Event<void>;
    dispose(): void;
    show(preserveFocus: boolean): void;
}
export interface IWebviewViewResolver {
    resolve(webviewView: WebviewView, cancellation: CancellationToken): Promise<void>;
}
export declare class WebviewViewService extends Disposable implements IWebviewViewService {
    readonly _serviceBrand: undefined;
    private readonly _resolvers;
    private readonly _awaitingRevival;
    private readonly _onNewResolverRegistered;
    readonly onNewResolverRegistered: Event<{
        readonly viewType: string;
    }>;
    register(viewType: string, resolver: IWebviewViewResolver): IDisposable;
    resolve(viewType: string, webview: WebviewView, cancellation: CancellationToken): Promise<void>;
}
